Source: kaffeine
Version: 1.2.2-1
Tags: patch
Usertags: xine-lib-1.2

I intend to upload xine-lib-1.2 to unstable soonish. This will cause
freshly-built kaffeine to be incorrectly installed (ignoring the FTBFS caused
by kdelibs5-dev) due to depending on libxine2, libxine1-x and
libxine1-ffmpeg.

The attached patch fixes this.

(It will currently FTBFS with libxine-dev from experimental anyway; a fix for
this is pending.)

-- 
|  _  | Darren Salt, using Debian GNU/Linux (and Android)
| ( ) |
|  X  | ASCII Ribbon campaign against HTML e-mail
| / \ | http://www.asciiribbon.org/

ls -lart

diff -ur kaffeine-1.2.2/debian/control kaffeine-1.2.2.new/debian/control
--- kaffeine-1.2.2/debian/control	2011-05-01 09:24:07.000000000 +0000
+++ kaffeine-1.2.2.new/debian/control	2012-01-22 20:07:24.964796766 +0000
@@ -13,7 +13,7 @@
 Package: kaffeine
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libxine1-ffmpeg, libxine1-x, libqt4-sql-sqlite
+ ${xine-ffmpeg:Depends}, ${xine-x:Depends}, libqt4-sql-sqlite
 Suggests: libdvdcss2
 Description: versatile media player for KDE
  Kaffeine is a media player for KDE. While It supports multiple Phonon
diff -ur kaffeine-1.2.2/debian/rules kaffeine-1.2.2.new/debian/rules
--- kaffeine-1.2.2/debian/rules	2010-06-02 07:56:44.000000000 +0000
+++ kaffeine-1.2.2.new/debian/rules	2012-01-22 20:36:15.860192877 +0000
@@ -4,6 +4,9 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --parallel --dbg-package=kaffeine-dbg --list-missing --with kde
+	dh $@ --parallel --dbg-package=kaffeine-dbg --list-missing --with kde --with xine
+
+override_dh_xine:
+	dh_xine -pkaffeine x ffmpeg
 
 .PHONY: override_dh_auto_test
_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-kde-extras

Reply via email to